
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #738

Failed to play cue+tak one by one and throw avcodec_send_packet failed

August 10, 2017 11:42 - beats angel

Status: Rejected Start date: August 10, 2017

Priority: Minor Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Affects version: 3.8.2   

Description

I just played TAK file with cue playlist. I can only play the first one and then jump to another one. The player threw the message

below:

WARNING ffaudio-core.cc:186 [tak]: <0x7f650003f740> TAK codec type 0WARNING ffaudio-core.cc:186 [tak]: <0x7f650003f740>  is

not implemented. Update your FFmpeg version to the newest one from Git. If the problem still occurs, it means that your file has a

feature which has not been implemented.

ERROR ffaudio-core.cc:215 [log_result]: avcodec_send_packet failed: Not yet implemented in FFmpeg, patches welcome

I can play the file with vlc and deadbeef without throwing error, so I think my ffmpeg has nothing wrong.

Here is $ ffmpeg -version

ffmpeg version N-82556-g127cc6d Copyright (c) 2000-2016 the FFmpeg developers

built with gcc 4.9.2 (Debian 4.9.2-10)

configuration:

libavutil      55. 40.100 / 55. 40.100

libavcodec     57. 66.105 / 57. 66.105

libavformat    57. 57.100 / 57. 57.100

libavdevice    57.  2.100 / 57.  2.100

libavfilter     6. 67.100 /  6. 67.100

libswscale      4.  3.101 /  4.  3.101

libswresample   2.  4.100 /  2.  4.100

History

#1 - August 10, 2017 14:40 - John Lindgren

1. Output of audacious -V

2. Example file(s) to reproduce the problem

3. Output of ffplay with the same file(s)

#2 - August 24, 2017 03:28 - John Lindgren

- Status changed from New to Rejected

The error message clearly states this is a problem (or unimplemented feature) in FFmpeg.  Closing.
